org.richfaces.view.facelets.html

## Class AjaxHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.FaceletsAttachedObjectHandler
        - - javax.faces.view.facelets.BehaviorHandler
          - - org.richfaces.view.facelets.html.CustomBehaviorHandler
            - - org.richfaces.view.facelets.html.AjaxHandler

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler
  Direct Known Subclasses:
    ClientValidatorHandler

      public class AjaxHandler
      extends CustomBehaviorHandler

  Author:
    Anton Belevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxHandler(javax.faces.view.facelets.BehaviorConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
    `javax.faces.view.facelets.MetaRule[]` | `getMetaRules()`
    `boolean` | `isWrapping()`

    - ### Methods inherited from class org.richfaces.view.facelets.html.CustomBehaviorHandler

      `getTagHandlerDelegate, isWrappingAttachQueue`

    - ### Methods inherited from class javax.faces.view.facelets.BehaviorHandler

      `getBehaviorId, getEvent, getEventName`

    - ### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

      `applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject, getFor`

- - ### Constructor Detail

    - #### AjaxHandler

          public AjaxHandler(javax.faces.view.facelets.BehaviorConfig config)

  - ### Method Detail

    - #### isWrapping

          public boolean isWrapping()

      Overrides:
        `isWrapping` in class `CustomBehaviorHandler`

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext ctx,
                            javax.faces.component.UIComponent parent)
                     throws IOException

      Specified by:
        `apply` in interface `javax.faces.view.facelets.FaceletHandler`
      Overrides:
        `apply` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
      Throws:
        `IOException`

    - #### getMetaRules

          public javax.faces.view.facelets.MetaRule[] getMetaRules()

      Overrides:
        `getMetaRules` in class `CustomBehaviorHandler`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.